# PcSamplingStallReasons Struct Reference
[CUPTI PC Sampling Utility API]

All available stall reasons name and respective indexes will be stored in it.

## Data Fields
size_t | numStallReasons
uint32_t * | stallReasonIndex
char ** | stallReasons

## Field Documentation

size_t PcSamplingStallReasons::numStallReasons

Number of all available stall reasons

uint32_t* PcSamplingStallReasons::stallReasonIndex

Stall reason index of all available stall reasons

char** PcSamplingStallReasons::stallReasons

Stall reasons names of all available stall reasons